GCA(3NCARG)

NAME
GCA (Cell array) - draws a cell array starting with a rectangle specified by two corner points; this initial rectangle is subdivided into subrectangles by specifying an arbitrary number of divisions in the X and Y directions; each subrectangle (or cell) is assigned a color and drawn with that color.

SYNOPSIS
CALL GCA (XP1, YP1, XP2, YP2, NXCLR, NYCLR, IXCLR, IYCLR, NXDO, NYDO, CLRIA)

C-BINDING SYNOPSIS
#include <ncarg/gks.h>

void gcell_array(const Grect *rect, const Gpat_rep *colr_array);

DESCRIPTION

XP1 (Real, Input) - X world coordinate of point 1.

YP1 (Real, Input) - Y world coordinate of point 1.

XP2 (Real, Input) - X world coordinate of point 2.

YP2 (Real, Input) - Y world coordinate of point 2.

NXCLR
    (Integer, Input) - X dimension of the color index array CLRIA.

NYCLR
    (Integer, Input) - Y dimension of the color index array CLRIA.

IXCLR
    (Integer, Input) - The index of the starting column in index array CLRIA.

IYCLR
    (Integer, Input) - The index of the starting row in index array CLRIA.

NXDO
    (Integer, Input) - Number of cell elements to draw in the X dimension.

NYDO
    (Integer, Input) - Number of cell elements to draw in the Y dimension.

CLRIA
    (Integer array, Input) - An array of color indices dimensioned NXCLR x NYCLR which is used to determine the color of each cell drawn.

USAGE
Points 1 and 2 must be diagonally opposite corner points of a rectangle to be divided into NXDO cells in the X dimension and NYDO cells in the Y dimension.

ACCESS
To use GKS routines, load the NCAR GKS-0A library ncarg_gks.

SEE ALSO
Online: gscr, gcell_array

Hardcopy: User's Guide for NCAR GKS-0A Graphics; NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.